Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.itl.cas
Class CasCrawlerServiceSoapBindingStub

    java.lang.Object
      org.apache.axis.client.Stub
          com.endeca.itl.cas.CasCrawlerServiceSoapBindingStub

All Implemented Interfaces:
  CasCrawler, java.rmi.Remote, javax.xml.rpc.Stub

    public class CasCrawlerServiceSoapBindingStub

extends org.apache.axis.client.Stub
implements CasCrawler

Field Summary

Fields inherited from class org.apache.axis.client.Stub
`_call, cachedEndpoint, cachedPassword, cachedPortName, cachedProperties, cachedTimeout, cachedUsername, maintainSession, maintainSessionSet, service`

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`CasCrawlerServiceSoapBindingStub()`
`CasCrawlerServiceSoapBindingStub(javax.xml.rpc.Service service)`
`CasCrawlerServiceSoapBindingStub(java.net.URL endpointURL, javax.xml.rpc.Service service)`

Method Summary
`protected org.apache.axis.client.Call` | `createCall()`
`CreateCrawlResponse` | `createCrawl(CreateCrawl parameters)` The createCrawl operation creates a new crawl within the service, given a CrawlId and a CrawlConfig.
`DeleteCrawlResponse` | `deleteCrawl(DeleteCrawl parameters)` The deleteCrawl operation deletes the crawl with the specified CrawlId.
`GetAllMetricsResponse` | `getAllMetrics(GetAllMetrics parameters)` The getAllMetrics operation returns metrics for all crawls.
`GetCrawlConfigResponse` | `getCrawlConfig(GetCrawlConfig parameters)` The getCrawlConfig operation fetches the CrawlConfig for the crawl with the specified CrawlId.
`GetMetricsResponse` | `getMetrics(GetMetrics parameters)` The getMetrics operation returns a list of metrics from the last (or current) run of the crawl with the specified CrawlId.
`GetServerInfoResponse` | `getServerInfo(GetServerInfo parameters)` The getServerInfo operation returns a list of server properties
`GetStatusResponse` | `getStatus(GetStatus parameters)` The getStatus operation returns the current running status of the crawl with the specified CrawlId.
`ListContentSourcesResponse` | `listContentSources(ListContentSources parameters)` The listContentSources operation lists the sources currently defined within the service.
`ListCrawlsResponse` | `listCrawls(ListCrawls parameters)` The listCrawls operation lists the crawls currently defined within the service.
`StartCrawlResponse` | `startCrawl(StartCrawl parameters)` The startCrawl operation starts the crawl with the specified CrawlId.
`StopCrawlResponse` | `stopCrawl(StopCrawl parameters)` The stopCrawl operation stops the crawl with the specified CrawlId.
`UpdateCrawlResponse` | `updateCrawl(UpdateCrawl parameters)` The updateCrawl operation updates the CrawlConfig information describing the crawl with the specified CrawlId.

Methods inherited from class org.apache.axis.client.Stub
`_createCall, _getCall, _getProperty, _getPropertyNames, _getService, _setProperty, addAttachment, clearAttachments, clearHeaders, extractAttachments, firstCall, getAttachments, getHeader, getHeaders, getPassword, getPortName, getResponseHeader, getResponseHeaders, getResponseHeaders, getTimeout, getUsername, removeProperty, setAttachments, setHeader, setHeader, setMaintainSession, setPassword, setPortName, setPortName, setRequestHeaders, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CasCrawlerServiceSoapBindingStub

    public CasCrawlerServiceSoapBindingStub()
                                     throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### CasCrawlerServiceSoapBindingStub

    public CasCrawlerServiceSoapBindingStub(java.net.URL endpointURL,
                                            javax.xml.rpc.Service service)
                                     throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### CasCrawlerServiceSoapBindingStub

    public CasCrawlerServiceSoapBindingStub(javax.xml.rpc.Service service)
                                     throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

Method Detail

### createCall

    protected org.apache.axis.client.Call createCall()
                                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### createCrawl

    public CreateCrawlResponse createCrawl(CreateCrawl parameters)
                                    throws java.rmi.RemoteException,
                                           CrawlAlreadyExistsFault,
                                           InvalidCrawlConfigFault

  Description copied from interface: `CasCrawler`
  The createCrawl operation creates a new crawl within the service, given a CrawlId and a CrawlConfig.

  Specified by:
    `createCrawl` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`
    `CrawlAlreadyExistsFault`
    `InvalidCrawlConfigFault`

### listCrawls

    public ListCrawlsResponse listCrawls(ListCrawls parameters)
                                  throws java.rmi.RemoteException

  Description copied from interface: `CasCrawler`
  The listCrawls operation lists the crawls currently defined within the service.

  Specified by:
    `listCrawls` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`

### listContentSources

    public ListContentSourcesResponse listContentSources(ListContentSources parameters)
                                                  throws java.rmi.RemoteException

  Description copied from interface: `CasCrawler`
  The listContentSources operation lists the sources currently defined within the service.

  Specified by:
    `listContentSources` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`

### getServerInfo

    public GetServerInfoResponse getServerInfo(GetServerInfo parameters)
                                        throws java.rmi.RemoteException

  Description copied from interface: `CasCrawler`
  The getServerInfo operation returns a list of server properties

  Specified by:
    `getServerInfo` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`

### startCrawl

    public StartCrawlResponse startCrawl(StartCrawl parameters)
                                  throws java.rmi.RemoteException,
                                         ItlFault,
                                         CrawlNotFoundFault,
                                         InvalidCrawlConfigFault,
                                         CrawlInProgressFault

  Description copied from interface: `CasCrawler`
  The startCrawl operation starts the crawl with the specified CrawlId.

  Specified by:
    `startCrawl` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`
    `ItlFault`
    `CrawlNotFoundFault`
    `InvalidCrawlConfigFault`
    `CrawlInProgressFault`

### stopCrawl

    public StopCrawlResponse stopCrawl(StopCrawl parameters)
                                throws java.rmi.RemoteException,
                                       CrawlNotFoundFault

  Description copied from interface: `CasCrawler`
  The stopCrawl operation stops the crawl with the specified CrawlId.

  Specified by:
    `stopCrawl` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`
    `CrawlNotFoundFault`

### getCrawlConfig

    public GetCrawlConfigResponse getCrawlConfig(GetCrawlConfig parameters)
                                          throws java.rmi.RemoteException,
                                                 CrawlNotFoundFault

  Description copied from interface: `CasCrawler`
  The getCrawlConfig operation fetches the CrawlConfig for the crawl with the specified CrawlId.

  Specified by:
    `getCrawlConfig` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`
    `CrawlNotFoundFault`

### getStatus

    public GetStatusResponse getStatus(GetStatus parameters)
                                throws java.rmi.RemoteException,
                                       CrawlNotFoundFault

  Description copied from interface: `CasCrawler`
  The getStatus operation returns the current running status of the crawl with the specified CrawlId.

  Specified by:
    `getStatus` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`
    `CrawlNotFoundFault`

### deleteCrawl

    public DeleteCrawlResponse deleteCrawl(DeleteCrawl parameters)
                                    throws java.rmi.RemoteException,
                                           ItlFault,
                                           CrawlNotFoundFault,
                                           CrawlInProgressFault

  Description copied from interface: `CasCrawler`
  The deleteCrawl operation deletes the crawl with the specified CrawlId.

  Specified by:
    `deleteCrawl` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`
    `ItlFault`
    `CrawlNotFoundFault`
    `CrawlInProgressFault`

### updateCrawl

    public UpdateCrawlResponse updateCrawl(UpdateCrawl parameters)
                                    throws java.rmi.RemoteException,
                                           CrawlNotFoundFault,
                                           InvalidCrawlConfigFault,
                                           CrawlInProgressFault

  Description copied from interface: `CasCrawler`
  The updateCrawl operation updates the CrawlConfig information describing the crawl with the specified CrawlId.

  Specified by:
    `updateCrawl` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`
    `CrawlNotFoundFault`
    `InvalidCrawlConfigFault`
    `CrawlInProgressFault`

### getMetrics

    public GetMetricsResponse getMetrics(GetMetrics parameters)
                                  throws java.rmi.RemoteException,
                                         CrawlNotFoundFault

  Description copied from interface: `CasCrawler`
  The getMetrics operation returns a list of metrics from the last (or current) run of the crawl with the specified CrawlId.

  Specified by:
    `getMetrics` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`
    `CrawlNotFoundFault`

### getAllMetrics

    public GetAllMetricsResponse getAllMetrics(GetAllMetrics parameters)
                                        throws java.rmi.RemoteException

  Description copied from interface: `CasCrawler`
  The getAllMetrics operation returns metrics for all crawls.

  Specified by:
    `getAllMetrics` in interface `CasCrawler`
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: Content Acquisition System Web Service Stubs (casStubs)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:19-0500